package net.rmi.pawelGrid.LusCs;

import gui.JInfoFrame;
import net.multicast.McastUtil;
import net.rmi.pawelGrid.RmiFileTrans.FileServer;

import java.io.IOException;


/**
 * Created by IntelliJ IDEA.
 * <p/>
 * User: pkrepszt
 * <p/>
 * Date: Feb 21, 2005
 * <p/>
 * Time: 1:58:58 PM
 * <p/>
 */

public class CServer {

    private int mcastPort = 7234;
    private McastUtil mcx = new McastUtil(mcastPort);
    private JInfoFrame jif = new JInfoFrame("CServer");
    private static String lusIP = null;

    public static void main(String[] args) {
        new CServer();
    }

    public CServer() {
        processWithMulticastSocket();
        new FileServer();
    }

    public void processWithMulticastSocket() {

        mcx.enableLoopBack();

       new CSRcvr(mcx, jif);

       try {
           mcx.sendBytes(BenchMarkUtils.getBenchMarkBean().getBytes());
        } catch (IOException e) {
            e.printStackTrace();
        }
        jif.setSize(600, 200);
        jif.show();
        jif.println("Conecting to LUS...");
    }
    
    public static String getLusIP() {
        return lusIP;
    }

    public static void setLusIP(String lusIP) {
        CServer.lusIP = lusIP;
    }
}





